# Class JexlException.StackOverflow

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.jexl3.JexlException
org.apache.commons.jexl3.JexlException.StackOverflow

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `JexlException`

public static class JexlException.StackOverflow extends JexlException
Thrown when reaching stack-overflow.

Since:
  3.2
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class JexlException

  `JexlException.Ambiguous, JexlException.Annotation, JexlException.Assignment, JexlException.Break, JexlException.Cancel, JexlException.Continue, JexlException.Feature, JexlException.Method, JexlException.Operator, JexlException.Parsing, JexlException.Property, JexlException.Return, JexlException.StackOverflow, JexlException.Throw, JexlException.Tokenization, JexlException.TryFailed, JexlException.Variable, JexlException.VariableIssue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StackOverflow(JexlInfo info, String name, Throwable cause)`
  Creates a new stack overflow exception instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `detailedMessage()`
  Accesses detailed message.

  ### Methods inherited from class JexlException

  `annotationError, clean, getDetail, getInfo, getInfo, getMessage, info, methodError, methodError, operatorError, parserError, propertyError, propertyError, sliceSource, tryFailed, variableError, variableError`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StackOverflow

    public StackOverflow(JexlInfo info, String name, Throwable cause)
    Creates a new stack overflow exception instance.
    Parameters:
      `info` - the location information
      `name` - the unknown method
      `cause` - the exception causing the error

- ## Method Details

  - ### detailedMessage

    protected String detailedMessage()
    Description copied from class: `JexlException`
    Accesses detailed message.
    Overrides:
      `detailedMessage` in class `JexlException`
    Returns:
      the message